<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta name="generator" content=
"HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">
<meta http-equiv="Content-Type" content=
"text/html; charset=us-ascii">
<link href="/bootstrap.min.css" media="screen" rel="stylesheet"
type="text/css">
<title>ehealthsuisse assertion provider mockup</title>
<link rel="shortcut icon" href="favicon2.ico" type="image/x-icon">
<script src="jquery.min.js" type="text/javascript">
</script>
<script src="bootstrap.min.js" type="text/javascript">
</script>
</head>
<body bgcolor="white" text="black" class="container-fluid">
<div class="well well-small">
<center>
<h2>eHealthSuisse Assertion Provider MockUp</h2>
</center>
</div>
<div class="row-fluid">
<div class="span10 offset1">
<p>eHealthSuisse Assertion Provider MockUp can generate dummy X-User Assertion to use in X-transactions.</p>
<p>To be able to generate an X-User Assertion, the simulator is expecting Ws-Trust RequestSecurityToken requests. Those need to have a list of claimed attributes and an authentication assertion in the header of the soap enveloppe. The exact list of required elements is depending on which person is authenticating.</p>

<h4>Healthcare Professional (HP)</h4>
<ul>
    <li>In the authentication assertion
        <ul>
            <li>The GLN of the HP MAY be provided as an attribute</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
        </ul>
    </li>
</ul>

<h4>Assistant</h4>
<ul>
    <li>In the authentication assertion
        <ul>
            <li>The GLN of the assistant must be provided as NameID</li>
            <li>The Assistant organization or or group ID MAY be present as an attribute</li>
            <li>The Assistant organization or or group Name MAY be present as an attribute</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
            <li>The GLN of the healthcare professional the assistant is acting on behalf of MUST be provided as principal-id</li>
            <li>The Name of the healthcare professional the assistant is acting on behalf of MUST be provided as principal-name</li>
        </ul>
    </li>
</ul>

<h4>Technical User</h4>
<ul>
    <li>In the authentication assertion
        <ul>
            <li>The Unique ID of the Technical User must be provided as NameID</li>
            <li>The Assistant organization or or group ID MAY be present as an attribute</li>
            <li>The Assistant organization or or group Name MAY be present as an attribute</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
            <li>The GLN of the healthcare professional the Technical User is acting on behalf of MUST be provided as principal-id</li>
            <li>The Name of the healthcare professional the Technical User is acting on behalf of MUST be provided as principal-name</li>
        </ul>
    </li>
</ul>

<h4>Policy Administrator</h4>
<ul>
    <li>In the authentication assertion
        <ul>
	    <li>The Unique ID of the Policy Administrator MUST be provided as NameID</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
        </ul>
    </li>
</ul>

<h4>Document Administrator</h4>
<ul>
    <li>In the authentication assertion
        <ul>
	    <li>The Unique ID of the Document Administrator MUST be provided as NameID</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
        </ul>
    </li>
</ul>

<h4>Patient</h4>
<ul>
    <li>In the authentication assertion
        <ul>
            <li>The Unique ID of the Patient MUST be provided as NameID</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
	    <li>The EPR-SPID of the Patient MAY be provided as principal-id</li>
	    <li>The Name of the Patient MAY be provided as principal-name</li>
        </ul>
    </li>
</ul>

<h4>Representative</h4>
<ul>
    <li>In the authentication assertion
        <ul>
            <li>The Unique ID of the Representative MUST be provided as NameID</li>
        </ul>
    </li>
    <li>In the request claims
        <ul>
	    <li>The Purpose of Use MUST be provided as purposeofuse</li>
	    <li>The Role of the subject MUST be provided as role</li>
            <li>The EPR-SPID of the targeted patient must be provided as resource-id</li>
	    <li>The Unique ID of the Representative MAY be provided as principal-id</li>
	    <li>The Name of the Representative MAY be provided as principal-name</li>
        </ul>
    </li>
</ul>


<h4>Other informations</h4>
<p>This Authentication assertion does not need to be perfectly valid (signature is not checked by the dummy simulator)</p>

<h3>End Points</h3>
<p>End point with TLS mutual authentication (testing certificate from GSS PKI): <a href="https://ehealthsuisse.ihe-europe.net:10443/STS?wsdl">https://ehealthsuisse.ihe-europe.net:10443/STS?wsdl</a></p>
<p>The wsdl can be browsed <a href="/STS?wsdl">here</a>.</p>

<h3>Data to be used</h3>
<p>Data to be used can be found in documents <a href="https://ehealthsuisse.ihe-europe.net/test_data/pat-patients-sut.xlsx">pat-patient-sut.xlsx</a> and <a href="https://ehealthsuisse.ihe-europe.net/test_data/pat-idp-hp-sut.csv">pat-idp-hp-sut.csv</a>.</p>
<p>First document define the patients to use for the query. This include the patient doing the request if it is the case, and the patient queried as a resource. The patient that needs to be used are found in sheet "pat-patients-sut". You need to use the SPID defined in column "Patient Identifier 1".
The simulator won't recognize any SPID not in this documents sheet and you would end up with an InvalidRequest error if you use any other SPID.</p>
<p>The second document define the HCP to use with this simulator. HOWEVER, as the Assertion provider needs to resolve the name and ID of the practician's company, please use HCP <span style="color:red;">Ann Andrews</span> or  <span style="color:red;">Richard Reynolds</span>. Other practicians are not linked to an organization and you would end un with an error message as well.</p>
<p>For any other role (DADM, PADM, TCU, REP, ASS), any ID will do. The "dummy" simulator will always accept the IDs and will assume that actors acting on behalf of a HCP are authorized to do so.</>



<h3>Request example for an HP</h3>
    <pre>
&lt;env:Envelope xmlns:env="http://www.w3.org/2003/05/soap-envelope"&gt;
  &lt;env:Header&gt;
    &lt;wsa:Action xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
    &lt;wsa:MessageID xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
    &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
      &lt;saml2:Assertion ID="Assertion_3efbfc7917a1d3ec6e33ec70f410393d655980bb" IssueInstant="2018-03-28T09:01:06.421Z" Version="2.0" xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:xs="http://www.w3.org/2001/XMLSchema"&gt;
        &lt;saml2:Issuer&gt;http://fed.hintest.ch/saml/2.0/epd/&lt;/saml2:Issuer&gt;
        &lt;ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#"&gt;
          &lt;ds:SignedInfo&gt;
            &lt;ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
            &lt;ds:SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/&gt;
            &lt;ds:Reference URI="#Assertion_3efbfc7917a1d3ec6e33ec70f410393d655980bb"&gt;
              &lt;ds:Transforms&gt;
                &lt;ds:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/&gt;
                &lt;ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"&gt;
                  &lt;ec:InclusiveNamespaces PrefixList="xs" xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                &lt;/ds:Transform&gt;
              &lt;/ds:Transforms&gt;
              &lt;ds:DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/&gt;
              &lt;ds:DigestValue&gt;Uo4LNDD3qibeLswkH/ZWqIqe3Wc=&lt;/ds:DigestValue&gt;
            &lt;/ds:Reference&gt;
          &lt;/ds:SignedInfo&gt;
          <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY IDP&lt;/ds:SignatureValue&gt;</span>
          &lt;ds:KeyInfo&gt;
            &lt;ds:X509Data&gt;
              <span style="color:red;">&lt;ds:X509Certificate&gt;IDP_CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
            &lt;/ds:X509Data&gt;
          &lt;/ds:KeyInfo&gt;
        &lt;/ds:Signature&gt;
        &lt;saml2:Subject&gt;
          <span style="color:red;">&lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent"&gt;33165&lt;/saml2:NameID&gt;</span>
          &lt;saml2:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer"&gt;
            &lt;saml2:SubjectConfirmationData InResponseTo="_59e6f0ab8fcad259789d70f3a43fd39d6bde4523f3" NotOnOrAfter="2018-03-29T01:41:06.506Z" Recipient="http://aak.hin.test/simplesaml/module.php/saml/sp/saml2-acs.php/fed.hintest.ch_Post_aak.local"/&gt;
          &lt;/saml2:SubjectConfirmation&gt;
        &lt;/saml2:Subject&gt;
        &lt;saml2:Conditions NotBefore="2018-03-28T09:01:06.421Z" NotOnOrAfter="2018-03-29T01:41:06.421Z"&gt;
          &lt;saml2:AudienceRestriction&gt;
            &lt;saml2:Audience&gt;http://aak.hin.test/simplesaml/module.php/saml/sp/saml2-acs.php/fed.hintest.ch_Post_aak.local&lt;/saml2:Audience&gt;
          &lt;/saml2:AudienceRestriction&gt;
        &lt;/saml2:Conditions&gt;
        &lt;saml2:AuthnStatement AuthnInstant="2018-03-28T09:01:06.421Z" SessionNotOnOrAfter="2018-03-28T14:34:26.421Z"&gt;
          &lt;saml2:AuthnContext&gt;
            &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified&lt;/saml2:AuthnContextClassRef&gt;
          &lt;/saml2:AuthnContext&gt;
        &lt;/saml2:AuthnStatement&gt;
        &lt;saml2:AttributeStatement&gt;
          &lt;saml2:Attribute Name="GLN" NameFormat="urn:oasis:names:tc:ebcore:partyid-type:DataUniversalNumberingSystem:0060"&gt;
            &lt;saml2:AttributeValue xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;7601000000000&lt;/saml2:AttributeValue&gt;
          &lt;/saml2:Attribute&gt;
          &lt;saml2:Attribute Name="http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"&gt;
            &lt;saml2:AttributeValue xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;Aaron&lt;/saml2:AttributeValue&gt;
          &lt;/saml2:Attribute&gt;
          &lt;saml2:Attribute Name="http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:uri"&gt;
            &lt;saml2:AttributeValue xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;Akeret&lt;/saml2:AttributeValue&gt;
          &lt;/saml2:Attribute&gt;
        &lt;/saml2:AttributeStatement&gt;
      &lt;/saml2:Assertion&gt;
    &lt;/wsse:Security&gt;
  &lt;/env:Header&gt;
  &lt;env:Body&gt;
    &lt;wst:RequestSecurityToken xmlns:wst="http://docs.oasis-open.org/ws-sx/ws-trust/200512"&gt;
      &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
      &lt;wsp:AppliesTo xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"&gt;
        &lt;wsa:EndpointReference xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
          &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
        &lt;/wsa:EndpointReference&gt;
      &lt;/wsp:AppliesTo&gt;
      &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
      &lt;wst:Claims Dialect="http://bag.admin.ch/epr/2017/annex/5/amendment/2"&gt;
        <span style="color:red;">&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
          &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;305000^^^&amp;2.16.756.5.30.1.109.6.5.3.1.1&amp;ISO&lt;/saml2:AttributeValue&gt;
        &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse"&gt;
          &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:anyType"&gt;
            &lt;PurposeOfUse xmlns="urn:hl7-org:v3" code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE"/&gt;
          &lt;/saml2:AttributeValue&gt;
        &lt;/saml2:Attribute&gt;
	&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
          &lt;saml2:AttributeValue&gt;
            &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="HCP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
          &lt;/saml2:AttributeValue&gt;
        &lt;/saml2:Attribute&gt;</span>
      &lt;/wst:Claims&gt;
    &lt;/wst:RequestSecurityToken&gt;
  &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

    <h3>Request example for an Assistant</h3>
    <pre>
&lt;env:Envelope xmlns:env="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
         &lt;saml2:Assertion ID="_2cfcc382-7e60-44e0-99b5-18e3f718cbc6" IssueInstant="2018-03-28T09:02:43.155Z" Version="2.0" xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:del="urn:oasis:names:tc:SAML:2.0:conditions:delegation" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
            &lt;saml2:Issuer&gt;xua.hin.ch&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#"&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                  &lt;ds:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/&gt;
                  &lt;ds:Reference URI="#_2cfcc382-7e60-44e0-99b5-18e3f718cbc6"&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"&gt;
                           &lt;ec:InclusiveNamespaces PrefixList="del xsd" xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/&gt;
                     &lt;ds:DigestValue&gt;UyqzdpLkYUMscBO0bEP6FwnKnlUscVCD70GL3uP6aSY=&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY X-SERVICE USER REQUESTOR&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;X-SERVICE USER REQUESTOR CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;

            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000000&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer"&gt;
                  &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;saml2:SubjectConfirmationData&gt;
                     &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Aaron Akeret&lt;/saml2:AttributeValue&gt;
                     &lt;/saml2:Attribute&gt;
                  &lt;/saml2:SubjectConfirmationData&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;

            &lt;saml2:Conditions NotBefore="2018-03-28T09:02:43.155Z" NotOnOrAfter="2018-03-28T09:32:43.155Z"&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;urn:e-health-suisse:token-audience:all-communities&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
               &lt;saml2:Condition&gt;
                  &lt;del:Delegate&gt;
                     &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;/del:Delegate&gt;
               &lt;/saml2:Condition&gt;
            &lt;/saml2:Conditions&gt;

            &lt;saml2:AuthnStatement AuthnInstant="2018-03-28T09:02:43.155Z" SessionNotOnOrAfter="2018-03-28T09:12:43.154Z"&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;

            &lt;saml2:AttributeStatement&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;305000^^^&amp;2.16.756.5.30.1.109.6.5.3.1.1&amp;ISO&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;PurposeOfUse code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Hans Muster&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        <span style="color:red;">&lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;USB&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;urn:oid:2.2.2.2&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;</span>
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;Role code="HCP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;

         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst="http://docs.oasis-open.org/ws-sx/ws-trust/200512"&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"&gt;
            &lt;wsa:EndpointReference xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect="http://bag.admin.ch/epr/2017/annex/5/amendment/2"&gt;
	   <span style="color:red;">&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:anyType"&gt;
	       &lt;PurposeOfUse xmlns="urn:hl7-org:v3" code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE"/&gt;
	     &lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;
	   &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
             &lt;saml2:AttributeValue&gt;
               &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="ASS" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
             &lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:e-health-suisse:principal-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;7601002469191&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:e-health-suisse:principal-name"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;Ann Andrews&lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>


    <h3>Request example for a Technical User </h3>
    <pre>
&lt;env:Envelope xmlns:env="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
         &lt;saml2:Assertion ID="_2cfcc382-7e60-44e0-99b5-18e3f718cbc6" IssueInstant="2018-03-28T09:02:43.155Z" Version="2.0" xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:del="urn:oasis:names:tc:SAML:2.0:conditions:delegation" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
            &lt;saml2:Issuer&gt;xua.hin.ch&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#"&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                  &lt;ds:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/&gt;
                  &lt;ds:Reference URI="#_2cfcc382-7e60-44e0-99b5-18e3f718cbc6"&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"&gt;
                           &lt;ec:InclusiveNamespaces PrefixList="del xsd" xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/&gt;
                     &lt;ds:DigestValue&gt;UyqzdpLkYUMscBO0bEP6FwnKnlUscVCD70GL3uP6aSY=&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY X-SERVICE USER REQUESTOR&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;X-SERVICE USER REQUESTOR CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;

            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000000&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer"&gt;
                  &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;saml2:SubjectConfirmationData&gt;
                     &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Aaron Akeret&lt;/saml2:AttributeValue&gt;
                     &lt;/saml2:Attribute&gt;
                  &lt;/saml2:SubjectConfirmationData&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;

            &lt;saml2:Conditions NotBefore="2018-03-28T09:02:43.155Z" NotOnOrAfter="2018-03-28T09:32:43.155Z"&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;urn:e-health-suisse:token-audience:all-communities&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
               &lt;saml2:Condition&gt;
                  &lt;del:Delegate&gt;
                     &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;/del:Delegate&gt;
               &lt;/saml2:Condition&gt;
            &lt;/saml2:Conditions&gt;

            &lt;saml2:AuthnStatement AuthnInstant="2018-03-28T09:02:43.155Z" SessionNotOnOrAfter="2018-03-28T09:12:43.154Z"&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;

            &lt;saml2:AttributeStatement&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;305000^^^&amp;2.16.756.5.30.1.109.6.5.3.1.1&amp;ISO&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;PurposeOfUse code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Hans Muster&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        <span style="color:red;">&lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;USB&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;urn:oid:2.2.2.2&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;</span>
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;Role code="HCP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;

         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst="http://docs.oasis-open.org/ws-sx/ws-trust/200512"&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"&gt;
            &lt;wsa:EndpointReference xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect="http://bag.admin.ch/epr/2017/annex/5/amendment/2"&gt;
	   <span style="color:red;">&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:anyType"&gt;
	       &lt;PurposeOfUse xmlns="urn:hl7-org:v3" code="AUTO" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE"/&gt;
	     &lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;
	   &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
             &lt;saml2:AttributeValue&gt;
               &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="TCU" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
             &lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:e-health-suisse:principal-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;7601002469191&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:e-health-suisse:principal-name"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;Ann Andrews&lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

    <h3>Request example for a Policy Administrator </h3>
    <pre>
&lt;env:Envelope xmlns:env="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
         &lt;saml2:Assertion ID="_2cfcc382-7e60-44e0-99b5-18e3f718cbc6" IssueInstant="2018-03-28T09:02:43.155Z" Version="2.0" xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:del="urn:oasis:names:tc:SAML:2.0:conditions:delegation" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
            &lt;saml2:Issuer&gt;xua.hin.ch&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#"&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                  &lt;ds:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/&gt;
                  &lt;ds:Reference URI="#_2cfcc382-7e60-44e0-99b5-18e3f718cbc6"&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"&gt;
                           &lt;ec:InclusiveNamespaces PrefixList="del xsd" xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/&gt;
                     &lt;ds:DigestValue&gt;UyqzdpLkYUMscBO0bEP6FwnKnlUscVCD70GL3uP6aSY=&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY X-SERVICE USER REQUESTOR&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;X-SERVICE USER REQUESTOR CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;

            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000000&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer"&gt;
                  &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;saml2:SubjectConfirmationData&gt;
                     &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Aaron Akeret&lt;/saml2:AttributeValue&gt;
                     &lt;/saml2:Attribute&gt;
                  &lt;/saml2:SubjectConfirmationData&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;

            &lt;saml2:Conditions NotBefore="2018-03-28T09:02:43.155Z" NotOnOrAfter="2018-03-28T09:32:43.155Z"&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;urn:e-health-suisse:token-audience:all-communities&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
               &lt;saml2:Condition&gt;
                  &lt;del:Delegate&gt;
                     &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;/del:Delegate&gt;
               &lt;/saml2:Condition&gt;
            &lt;/saml2:Conditions&gt;

            &lt;saml2:AuthnStatement AuthnInstant="2018-03-28T09:02:43.155Z" SessionNotOnOrAfter="2018-03-28T09:12:43.154Z"&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;

            &lt;saml2:AttributeStatement&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;305000^^^&amp;2.16.756.5.30.1.109.6.5.3.1.1&amp;ISO&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;PurposeOfUse code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Hans Muster&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;USB&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;urn:oid:2.2.2.2&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;Role code="HCP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;

         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst="http://docs.oasis-open.org/ws-sx/ws-trust/200512"&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"&gt;
            &lt;wsa:EndpointReference xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect="http://bag.admin.ch/epr/2017/annex/5/amendment/2"&gt;
	   <span style="color:red;">&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:anyType"&gt;
	       &lt;PurposeOfUse xmlns="urn:hl7-org:v3" code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE"/&gt;
	     &lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;
	   &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
             &lt;saml2:AttributeValue&gt;
               &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="PADM" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
             &lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

    <h3>Request example for a Document Administrator </h3>
    <pre>
&lt;env:Envelope xmlns:env="http://www.w3.org/2003/05/soap-envelope"&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
         &lt;saml2:Assertion ID="_2cfcc382-7e60-44e0-99b5-18e3f718cbc6" IssueInstant="2018-03-28T09:02:43.155Z" Version="2.0" xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:del="urn:oasis:names:tc:SAML:2.0:conditions:delegation" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
            &lt;saml2:Issuer&gt;xua.hin.ch&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds="http://www.w3.org/2000/09/xmldsig#"&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                  &lt;ds:SignatureMethod Algorithm="http://www.w3.org/2001/04/xmldsig-more#rsa-sha256"/&gt;
                  &lt;ds:Reference URI="#_2cfcc382-7e60-44e0-99b5-18e3f718cbc6"&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/&gt;
                        &lt;ds:Transform Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"&gt;
                           &lt;ec:InclusiveNamespaces PrefixList="del xsd" xmlns:ec="http://www.w3.org/2001/10/xml-exc-c14n#"/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm="http://www.w3.org/2001/04/xmlenc#sha256"/&gt;
                     &lt;ds:DigestValue&gt;UyqzdpLkYUMscBO0bEP6FwnKnlUscVCD70GL3uP6aSY=&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY X-SERVICE USER REQUESTOR&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;X-SERVICE USER REQUESTOR CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;

            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000000&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method="urn:oasis:names:tc:SAML:2.0:cm:bearer"&gt;
                  &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;saml2:SubjectConfirmationData&gt;
                     &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Aaron Akeret&lt;/saml2:AttributeValue&gt;
                     &lt;/saml2:Attribute&gt;
                  &lt;/saml2:SubjectConfirmationData&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;

            &lt;saml2:Conditions NotBefore="2018-03-28T09:02:43.155Z" NotOnOrAfter="2018-03-28T09:32:43.155Z"&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;urn:e-health-suisse:token-audience:all-communities&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
               &lt;saml2:Condition&gt;
                  &lt;del:Delegate&gt;
                     &lt;saml2:NameID Format="urn:oasis:names:tc:SAML:2.0:nameid-format:persistent" NameQualifier="urn:gs1:gln"&gt;7601000000011&lt;/saml2:NameID&gt;
                  &lt;/del:Delegate&gt;
               &lt;/saml2:Condition&gt;
            &lt;/saml2:Conditions&gt;

            &lt;saml2:AuthnStatement AuthnInstant="2018-03-28T09:02:43.155Z" SessionNotOnOrAfter="2018-03-28T09:12:43.154Z"&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:unspecified&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;

            &lt;saml2:AttributeStatement&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;305000^^^&amp;2.16.756.5.30.1.109.6.5.3.1.1&amp;ISO&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;PurposeOfUse code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:subject-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;Hans Muster&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;USB&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xspa:1.0:subject:organization-id" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
        &lt;saml2:AttributeValue xsi:type="xsd:string"&gt;urn:oid:2.2.2.2&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
        &lt;saml2:Attribute Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
                  &lt;saml2:AttributeValue&gt;
        &lt;Role code="HCP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
                  &lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;

         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst="http://docs.oasis-open.org/ws-sx/ws-trust/200512"&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"&gt;
            &lt;wsa:EndpointReference xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect="http://bag.admin.ch/epr/2017/annex/5/amendment/2"&gt;
	   <span style="color:red;">&lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xspa:1.0:subject:purposeofuse"&gt;
	     &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:anyType"&gt;
	       &lt;PurposeOfUse xmlns="urn:hl7-org:v3" code="NORM" codeSystem="2.16.756.5.30.1.127.3.10.5" codeSystemName="eHealth Suisse Verwendungszweck" displayName="Normalzugriff" xsi:type="CE"/&gt;
	     &lt;/saml2:AttributeValue&gt;
	   &lt;/saml2:Attribute&gt;
	   &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
             &lt;saml2:AttributeValue&gt;
               &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="DADM" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
             &lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;
           &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
             &lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
           &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

    <h3>Request example for Patient</h3>
<pre>
&lt;env:Envelope xmlns:env=&quot;http://www.w3.org/2003/05/soap-envelope&quot;&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse=&quot;http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd&quot;&gt;
	&lt;saml2:Assertion ID=&quot;_ca894d9e028d5d6cb2317415d8d7c4b4&quot; IssueInstant=&quot;2018-09-12T16:56:06.545Z&quot; Version=&quot;2.0&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot; xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
            &lt;saml2:Issuer&gt;https://idp.ihe-europe.net/idp/shibboleth&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds=&quot;http://www.w3.org/2000/09/xmldsig#&quot;&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;/&gt;
                  &lt;ds:SignatureMethod Algorithm=&quot;http://www.w3.org/2001/04/xmldsig-more#rsa-sha512&quot;/&gt;
                  &lt;ds:Reference URI=&quot;#_ca894d9e028d5d6cb2317415d8d7c4b4&quot;&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm=&quot;http://www.w3.org/2000/09/xmldsig#enveloped-signature&quot;/&gt;
                        &lt;ds:Transform Algorithm=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;&gt;
                           &lt;ec:InclusiveNamespaces PrefixList=&quot;xsd&quot; xmlns:ec=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm=&quot;http://www.w3.org/2001/04/xmlenc#sha512&quot;/&gt;
                     &lt;ds:DigestValue&gt;30zjFYMfxh0UAruBbLeO8cxqDi8F4Orp1HtIL3KEV/luNh1HwOxoIEMpFvfeoa91x7ejabUdQoeh
gB6320GPGg==&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY IDP&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;IDP_CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;
            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format=&quot;urn:oasis:names:tc:SAML:2.0:nameid-format:transient&quot; NameQualifier=&quot;https://idp.ihe-europe.net/idp/shibboleth&quot; SPNameQualifier=&quot;https://sp-clone.ihe-europe.net/shibboleth&quot;&gt;AAdzZWNyZXQxbmFe4bvDlqy5W/SSqP0Tckee3DX4qhfEG6yVsHykjCu/XSee1lfEJZ81T0LzUL2uNmiKVRVEBt5B/S33R9ypQ9qz58BhE5t1GgAvaUdLNMT6mOzcnC5528Ww4OlMaKEMh/Ljr/FtjVgOcN4qEDQx&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method=&quot;urn:oasis:names:tc:SAML:2.0:cm:bearer&quot;&gt;
                  &lt;saml2:SubjectConfirmationData Address=&quot;95.128.151.250&quot; InResponseTo=&quot;_20180912165606447&quot; NotOnOrAfter=&quot;2018-09-12T17:01:06.550Z&quot; Recipient=&quot;https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP&quot;/&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;
            &lt;saml2:Conditions NotBefore=&quot;2018-09-12T16:56:06.545Z&quot; NotOnOrAfter=&quot;2018-09-12T17:01:06.545Z&quot;&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;https://sp-clone.ihe-europe.net/shibboleth&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
            &lt;/saml2:Conditions&gt;
            &lt;saml2:AuthnStatement AuthnInstant=&quot;2018-09-12T16:56:06.541Z&quot; SessionIndex=&quot;_60ad35760f745f98d8c017d8e3471e1c&quot;&gt;
               &lt;saml2:SubjectLocality Address=&quot;95.128.151.250&quot;/&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:PasswordProtectedTransport&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;
            &lt;saml2:AttributeStatement&gt;
               &lt;saml2:Attribute FriendlyName=&quot;uid&quot; Name=&quot;urn:oid:0.9.2342.19200300.100.1.1&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;sebibi&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;gender&quot; Name=&quot;urn:oid:1.3.6.1.5.5.7.9.3&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;F&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;surname&quot; Name=&quot;http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Ebibi-Limani&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;displayName&quot; Name=&quot;urn:oid:2.16.840.1.113730.3.1.241&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Salome Anja Ebibi-Limani&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;givenName&quot; Name=&quot;http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Salome Anja&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;dateOfBirth&quot; Name=&quot;urn:oid:1.3.6.1.5.5.7.9.1&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;19760816140541.344Z&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;
         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst=&quot;http://docs.oasis-open.org/ws-sx/ws-trust/200512&quot;&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp=&quot;http://schemas.xmlsoap.org/ws/2004/09/policy&quot;&gt;
            &lt;wsa:EndpointReference xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect=&quot;http://bag.admin.ch/epr/2017/annex/5/amendment/2&quot;&gt;
            <span style="color:red;">&lt;saml2:Attribute Name=&quot;urn:oasis:names:tc:xspa:1.0:subject:purposeofuse&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot;&gt;
               &lt;saml2:AttributeValue xsi:type=&quot;xs:anyType&quot; xmlns:xs=&quot;http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;
                  &lt;PurposeOfUse code=&quot;NORM&quot; codeSystem=&quot;2.16.756.5.30.1.127.3.10.6&quot; codeSystemName=&quot;eHealth Suisse Verwendungszweck&quot; displayName=&quot;Normalzugriff&quot; xsi:type=&quot;CE&quot; xmlns=&quot;urn:hl7-org:v3&quot;/&gt;
               &lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
            &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
              &lt;saml2:AttributeValue&gt;
        		 &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="PAT" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
              &lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
            &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
          	&lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
	    &lt;saml2:Attribute Name=&quot;urn:e-health-suisse:principal-id&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot;&gt;
               &lt;saml2:AttributeValue xsi:type=&quot;xs:string&quot; xmlns:xs=&quot;http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;761337610455909127^^^SPID&amp;amp;2.16.756.5.30.1.127.3.10.3&amp;amp;ISO&lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
            &lt;saml2:Attribute Name=&quot;urn:e-health-suisse:principal-name&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot;&gt;
               &lt;saml2:AttributeValue xsi:type=&quot;xs:string&quot; xmlns:xs=&quot;http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Salome Anja Ebibi-Limani&lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

 <h3>Request example for Representative</h3>
<pre>
&lt;env:Envelope xmlns:env=&quot;http://www.w3.org/2003/05/soap-envelope&quot;&gt;
   &lt;env:Header&gt;
      &lt;wsa:Action xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/RST/Issue&lt;/wsa:Action&gt;
      &lt;wsa:MessageID xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;urn:uuid:d888b36e-625f-4e25-a166-b27815be357f&lt;/wsa:MessageID&gt;
      &lt;wsse:Security xmlns:wsse=&quot;http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd&quot;&gt;
	&lt;saml2:Assertion ID=&quot;_ca894d9e028d5d6cb2317415d8d7c4b4&quot; IssueInstant=&quot;2018-09-12T16:56:06.545Z&quot; Version=&quot;2.0&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot; xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
            &lt;saml2:Issuer&gt;https://idp.ihe-europe.net/idp/shibboleth&lt;/saml2:Issuer&gt;
            &lt;ds:Signature xmlns:ds=&quot;http://www.w3.org/2000/09/xmldsig#&quot;&gt;
               &lt;ds:SignedInfo&gt;
                  &lt;ds:CanonicalizationMethod Algorithm=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;/&gt;
                  &lt;ds:SignatureMethod Algorithm=&quot;http://www.w3.org/2001/04/xmldsig-more#rsa-sha512&quot;/&gt;
                  &lt;ds:Reference URI=&quot;#_ca894d9e028d5d6cb2317415d8d7c4b4&quot;&gt;
                     &lt;ds:Transforms&gt;
                        &lt;ds:Transform Algorithm=&quot;http://www.w3.org/2000/09/xmldsig#enveloped-signature&quot;/&gt;
                        &lt;ds:Transform Algorithm=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;&gt;
                           &lt;ec:InclusiveNamespaces PrefixList=&quot;xsd&quot; xmlns:ec=&quot;http://www.w3.org/2001/10/xml-exc-c14n#&quot;/&gt;
                        &lt;/ds:Transform&gt;
                     &lt;/ds:Transforms&gt;
                     &lt;ds:DigestMethod Algorithm=&quot;http://www.w3.org/2001/04/xmlenc#sha512&quot;/&gt;
                     &lt;ds:DigestValue&gt;30zjFYMfxh0UAruBbLeO8cxqDi8F4Orp1HtIL3KEV/luNh1HwOxoIEMpFvfeoa91x7ejabUdQoeh
gB6320GPGg==&lt;/ds:DigestValue&gt;
                  &lt;/ds:Reference&gt;
               &lt;/ds:SignedInfo&gt;
               <span style="color:red;">&lt;ds:SignatureValue&gt;SIGNATURE AS CREATED BY IDP&lt;/ds:SignatureValue&gt;</span>
               &lt;ds:KeyInfo&gt;
                  &lt;ds:X509Data&gt;
                     <span style="color:red;">&lt;ds:X509Certificate&gt;IDP_CERTIFICATE&lt;/ds:X509Certificate&gt;</span>
                  &lt;/ds:X509Data&gt;
               &lt;/ds:KeyInfo&gt;
            &lt;/ds:Signature&gt;
            &lt;saml2:Subject&gt;
               <span style="color:red;">&lt;saml2:NameID Format=&quot;urn:oasis:names:tc:SAML:2.0:nameid-format:transient&quot; NameQualifier=&quot;https://idp.ihe-europe.net/idp/shibboleth&quot; SPNameQualifier=&quot;https://sp-clone.ihe-europe.net/shibboleth&quot;&gt;AAdzZWNyZXQxbmFe4bvDlqy5W/SSqP0Tckee3DX4qhfEG6yVsHykjCu/XSee1lfEJZ81T0LzUL2uNmiKVRVEBt5B/S33R9ypQ9qz58BhE5t1GgAvaUdLNMT6mOzcnC5528Ww4OlMaKEMh/Ljr/FtjVgOcN4qEDQx&lt;/saml2:NameID&gt;</span>
               &lt;saml2:SubjectConfirmation Method=&quot;urn:oasis:names:tc:SAML:2.0:cm:bearer&quot;&gt;
                  &lt;saml2:SubjectConfirmationData Address=&quot;95.128.151.250&quot; InResponseTo=&quot;_20180912165606447&quot; NotOnOrAfter=&quot;2018-09-12T17:01:06.550Z&quot; Recipient=&quot;https://sp-clone.ihe-europe.net/Shibboleth.sso/SAML2/ECP&quot;/&gt;
               &lt;/saml2:SubjectConfirmation&gt;
            &lt;/saml2:Subject&gt;
            &lt;saml2:Conditions NotBefore=&quot;2018-09-12T16:56:06.545Z&quot; NotOnOrAfter=&quot;2018-09-12T17:01:06.545Z&quot;&gt;
               &lt;saml2:AudienceRestriction&gt;
                  &lt;saml2:Audience&gt;https://sp-clone.ihe-europe.net/shibboleth&lt;/saml2:Audience&gt;
               &lt;/saml2:AudienceRestriction&gt;
            &lt;/saml2:Conditions&gt;
            &lt;saml2:AuthnStatement AuthnInstant=&quot;2018-09-12T16:56:06.541Z&quot; SessionIndex=&quot;_60ad35760f745f98d8c017d8e3471e1c&quot;&gt;
               &lt;saml2:SubjectLocality Address=&quot;95.128.151.250&quot;/&gt;
               &lt;saml2:AuthnContext&gt;
                  &lt;saml2:AuthnContextClassRef&gt;urn:oasis:names:tc:SAML:2.0:ac:classes:PasswordProtectedTransport&lt;/saml2:AuthnContextClassRef&gt;
               &lt;/saml2:AuthnContext&gt;
            &lt;/saml2:AuthnStatement&gt;
            &lt;saml2:AttributeStatement&gt;
               &lt;saml2:Attribute FriendlyName=&quot;uid&quot; Name=&quot;urn:oid:0.9.2342.19200300.100.1.1&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;sebibi&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;gender&quot; Name=&quot;urn:oid:1.3.6.1.5.5.7.9.3&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;F&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;surname&quot; Name=&quot;http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Ebibi-Limani&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;displayName&quot; Name=&quot;urn:oid:2.16.840.1.113730.3.1.241&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Salome Anja Ebibi-Limani&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;givenName&quot; Name=&quot;http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;Salome Anja&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
               &lt;saml2:Attribute FriendlyName=&quot;dateOfBirth&quot; Name=&quot;urn:oid:1.3.6.1.5.5.7.9.1&quot; NameFormat=&quot;urn:oasis:names:tc:SAML:2.0:attrname-format:uri&quot;&gt;
                  &lt;saml2:AttributeValue xsi:type=&quot;xsd:string&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;19760816140541.344Z&lt;/saml2:AttributeValue&gt;
               &lt;/saml2:Attribute&gt;
            &lt;/saml2:AttributeStatement&gt;
         &lt;/saml2:Assertion&gt;
      &lt;/wsse:Security&gt;
   &lt;/env:Header&gt;
   &lt;env:Body&gt;
      &lt;wst:RequestSecurityToken xmlns:wst=&quot;http://docs.oasis-open.org/ws-sx/ws-trust/200512&quot;&gt;
         &lt;wst:RequestType&gt;http://docs.oasis-open.org/ws-sx/ws-trust/200512/Issue&lt;/wst:RequestType&gt;
         &lt;wsp:AppliesTo xmlns:wsp=&quot;http://schemas.xmlsoap.org/ws/2004/09/policy&quot;&gt;
            &lt;wsa:EndpointReference xmlns:wsa=&quot;http://www.w3.org/2005/08/addressing&quot;&gt;
               &lt;wsa:Address&gt;https://localhost:17001/services/iti18&lt;/wsa:Address&gt;
            &lt;/wsa:EndpointReference&gt;
         &lt;/wsp:AppliesTo&gt;
         &lt;wst:TokenType&gt;http://docs.oasis-open.org/wss/oasis-wss-saml-token-profile-1.1#SAMLV2.0&lt;/wst:TokenType&gt;
         &lt;wst:Claims Dialect=&quot;http://bag.admin.ch/epr/2017/annex/5/amendment/2&quot;&gt;
            <span style="color:red;">&lt;saml2:Attribute Name=&quot;urn:oasis:names:tc:xspa:1.0:subject:purposeofuse&quot; xmlns:saml2=&quot;urn:oasis:names:tc:SAML:2.0:assertion&quot;&gt;
               &lt;saml2:AttributeValue xsi:type=&quot;xs:anyType&quot; xmlns:xs=&quot;http://www.w3.org/2001/XMLSchema&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot;&gt;
                  &lt;PurposeOfUse code=&quot;NORM&quot; codeSystem=&quot;2.16.756.5.30.1.127.3.10.6&quot; codeSystemName=&quot;eHealth Suisse Verwendungszweck&quot; displayName=&quot;Normalzugriff&quot; xsi:type=&quot;CE&quot; xmlns=&quot;urn:hl7-org:v3&quot;/&gt;
               &lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
            &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:subject:role" NameFormat="urn:oasis:names:tc:SAML:2.0:attrname-format:unspecified"&gt;
              &lt;saml2:AttributeValue&gt;
        		 &lt;Role xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" code="REP" codeSystem="2.16.756.5.30.1.127.3.10.6" codeSystemName="eHealth Suisse EPR Akteure" displayName="Behandelnde(r)" xsi:type="CE" xmlns="urn:hl7-org:v3"/&gt;
              &lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;
            &lt;saml2:Attribute xmlns:saml2="urn:oasis:names:tc:SAML:2.0:assertion" Name="urn:oasis:names:tc:xacml:2.0:resource:resource-id"&gt;
          	&lt;saml2:AttributeValue xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="xs:string"&gt;761337610423590456^^^SPID&amp;2.16.756.5.30.1.127.3.10.3&amp;ISO&lt;/saml2:AttributeValue&gt;
            &lt;/saml2:Attribute&gt;</span>
         &lt;/wst:Claims&gt;
      &lt;/wst:RequestSecurityToken&gt;
   &lt;/env:Body&gt;
&lt;/env:Envelope&gt;
</pre>

</div>
</div>
</body>
</html>
